package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 短信平台 (1.容联,2.阿里云,3.移动)枚举类
*
* @author zxfei
*/
public enum SmsplatformEnum {
    容联(1, "容联"),
    阿里云(2, "阿里云"),
    移动(3, "移动");
    private Integer value;
    private String desc;

    SmsplatformEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static SmsplatformEnum getByValue(Integer value) {
        for (SmsplatformEnum smsplatformEnum : SmsplatformEnum.values()) {
            if (smsplatformEnum.getValue() == value) {
                return smsplatformEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (SmsplatformEnum item : SmsplatformEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}